Usually it is the same driver, you can try my script:

http://kanotix.com/files/install-fglrx-debian.sh

It checks for supported PCI IDs before downloading. It currently installs 8-7 driver, if you like to use wine maybe use "-v 8-5" as option.